# Generated from vcr-2.4.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name vcr
%global rubyabi 1.9.1

Summary: Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.4.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/vcr/vcr
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) >= 1.3.5
Requires: %{?scl_prefix}ruby >= 1.8.7
BuildRequires: %{?scl_prefix}rubygems-devel >= 1.3.5
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
VCR provides a simple API to record and replay your test suite's HTTP
interactions.  It works with a variety of HTTP client libraries, HTTP stubbing
libraries and testing frameworks.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%{gem_spec}
%{gem_instdir}/LICENSE
%{gem_instdir}/CHANGELOG.md

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/Appraisals
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/Upgrade.md
%doc %{gem_instdir}/benchmarks
%doc %{gem_instdir}/cucumber.yml
%doc %{gem_instdir}/features
%doc %{gem_instdir}/gemfiles
%doc %{gem_instdir}/script
%doc %{gem_instdir}/spec
%doc %{gem_instdir}/*.gemspec


%changelog
* Wed May 15 2013 Steve Linabery <slinaber@redhat.com> - 2.4.0-1
- Initial package
